Device is not compatible with this version

Ratonweb

Member
Nov 11, 2014
10
0
0
Visit site
When trying to install some app fron Google play, i come across with this message "you're Device is not compatible with this version ".
Fair to say, that it mentions that is designed for phones but i have seen this before and was able to install with no problems.
In this particular case the install bottom is not there. Here are 2 examples
CM BROWSER
https://forums.androidcentral.com/e...pps/details?id=com.ksmobile.cb&token=FdjdJpQg

DU SPEED BOOSTER
https://forums.androidcentral.com/e...com.dianxinos.optimizer.duplay&token=7sUNHeD1

Also mention that if i search directly for these apps in google play it will not find them.

Are they only designed for phones? Or is a problem of our tablet.

I have the lg g pad 8.3 version, not rooted running 4.4.2 original rom and nova louncher.

Many thanks

Tablet LG G PAD 8.3 kitkat using Tapatalk
Phone THL W8 jelly bean
 

Rukbat

Retired Moderator
Feb 12, 2012
44,529
28
0
Visit site
Downloading the apk files might work - the installer will tell you if the app can't be installed.

But I wouldn't install DU Speed Booster. Any developer who doesn;t know NOT to remove "unwanted" processes isn't someone I'd trust to write an Android app - he evidently doesn't understand how Android works. (Cleaning out RAM in Android is the opposite of what it's designed to do, which is to keep RAM as filled as possible.)
 

Forum statistics

Threads
943,792
Messages
6,920,072
Members
3,159,232
Latest member
jackybeny